package alco.com;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.View;
import android.widget.EditText;
import android.widget.RadioButton;

public class SettingsDialog extends Dialog {

	View.OnClickListener buttonListener = new View.OnClickListener() {

		@Override
		public void onClick(View v) {
			if (v.getId() == R.id.SettingsOK)
			{
				RadioButton rb = (RadioButton)findViewById(R.id.SettingsGenderMale);
				if (rb.isChecked())
				{
					Alcometer.person.coefficent = 0.75;
					Alcometer.person.isMan = true;
				}
				else
				{
					Alcometer.person.coefficent = 0.66;
					Alcometer.person.isMan = false;
				}
				
				EditText et = (EditText)findViewById(R.id.SettingsWeight);
				Alcometer.person.weight = Double.valueOf(et.getText().toString());
				
				Alcometer.person.savePersonalInfo();
				dismiss();
			}
			else
			{
				cancel();
			}
			
		}
		
	};
	public SettingsDialog(Context ctx)
	{
		super(ctx);
		setContentView(R.layout.settings);
		
		EditText et = (EditText)findViewById(R.id.SettingsWeight);
		et.setText(""+Alcometer.person.weight);
		if (Alcometer.person.isMan)
		{
			RadioButton rb = (RadioButton)findViewById(R.id.SettingsGenderMale);
			rb.toggle();
		}
		else
		{
			RadioButton rb = (RadioButton)findViewById(R.id.SettingsGenderFemale);
			rb.toggle();
		}
		

		findViewById(R.id.SettingsOK).setOnClickListener(buttonListener);
		findViewById(R.id.SettingsCancel).setOnClickListener(buttonListener);
	}
}
